<template>
  <div class="gantt-leftbar" style="border-top: 1px solid #eee">
    <div
      class="gantt-leftbar-item "
      :style="{height:calTopSpace()+'px'}"
    />
    <div
      v-for="(data,index) in showDatas"
      :key="dataKey?data[dataKey]:index"
      class="gantt-leftbar-item"
      :style="cellHeightStyle"
    >
      <slot :data="data">
        <div class="gantt-leftbar-defalutItem">need slot</div>
      </slot>
    </div>
  </div>
</template>

<script>
import dr from '../dynamic-render.js'
export default {
  name: 'LeftBar',
  mixins: [dr],
  props: {
    dataKey: String,
    datas: {
      type: Array,
      required: true
    }
  },
  computed: {
    cellHeightStyle() {
      return {
        'height': `${this.cellHeight}px`
      }
    }
  }
}
</script>
